# Buscar informações de um grupo através de seu id

###

### Exemplo de body a ser enviado:

```
{
    "groupId": "120363047212563241@g.us"
}
```

## Buscar informações de um grupo através de seu id

<mark style="color:green;">`POST`</mark> `https://api.zapfy.me/v1/instance/{{instanceKey}}/token/{{instanceToken}}/groupMetadata`

#### Path Parameters

| Name                                            | Type   | Description                       |
| ----------------------------------------------- | ------ | --------------------------------- |
| instanceKey<mark style="color:red;">\*</mark>   | String | Key de identificação da instância |
| instanceToken<mark style="color:red;">\*</mark> | String | Token de acesso da instância      |

#### Request Body

| Name                                      | Type | Description                              |
| ----------------------------------------- | ---- | ---------------------------------------- |
| groupId<mark style="color:red;">\*</mark> |      | ID de identificação do grupo no WhatsApp |

{% tabs %}
{% tab title="200: OK Informações retornadas com sucesso" %}

```javascript
{
    "result": {
        "id": "120363047212563241@g.us",
        "subject": "Uma nome de teste 2",
        "subjectOwner": "556195514650@s.whatsapp.net",
        "subjectTime": 1674332215,
        "size": 2,
        "creation": 1674331780,
        "owner": "556195514650@s.whatsapp.net",
        "desc": {
            "type": "Buffer",
            "data": [
                85,
                109,
                97,
                32,
                100,
                101,
                115,
                99,
                114,
                105,
                195,
                167,
                195,
                163,
                111,
                32,
                100,
                101,
                32,
                116,
                101,
                115,
                116,
                101
            ]
        },
        "descId": "BAE5BC69CE5F2828",
        "restrict": false,
        "announce": false,
        "participants": [
            {
                "id": "5527997320619@s.whatsapp.net",
                "admin": null
            },
            {
                "id": "556195514650@s.whatsapp.net",
                "admin": "superadmin"
            }
        ]
    },
    "isValid": true
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zapfy.me/integrando-com-a-api/grupos/buscar-informacoes-de-um-grupo-atraves-de-seu-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
